<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getReporte()" class="btn btn-primary" [disabled]="!formSearch.valid || loading">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportPDF()" class="btn ml-1 btn-danger" [disabled]="dataGrid.length === 0 || loading">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
  <button (click)="exportExcel()" class="btn ml-1 btn-success" [disabled]="dataGrid.length === 0|| loading">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <div *ngIf="!loading">
      <form [formGroup]="formSearch">
        <div class="row animated fadeIn d-flex justify-content-center mb-2">
          <div class="">
            <kendo-daterange>
              <div class="row">
                <div class="col-6">
                  <label class="w-100 mt-1">Fecha Desde</label>
                  <kendo-dateinput kendoDateRangeStartInput formControlName="fechaIni"
                                   [(value)]="formSearch.value.fechaIni" class="">
                  </kendo-dateinput>
                </div>
                <div class="col-6">
                  <label class="mt-1 w-100">Fecha Hasta</label>
                  <kendo-dateinput kendoDateRangeEndInput formControlName="fechaFin"
                                   [(value)]="formSearch.value.fechaFin" class="">
                  </kendo-dateinput>
                </div>
              </div>
            </kendo-daterange>
          </div>
        </div>
      </form>

      <kendo-grid [data]="dataGrid" [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true"
                  [scrollable]="'virtual'" [filter]="filter" [filterable]="false"
                  (filterChange)="filterChange($event)"
                  [sort]="sort" [sortable]="true" [rowHeight]="40" (sortChange)="sortChange($event)"
                  [groupable]="{ showFooter: true }" [group]="groups" (groupChange)="groupChange($event)"
                  (dataStateChange)="dataStateChange($event)" style="height: 75vh">
        <ng-template kendoGridToolbarTemplate>
          <div class="animated fadeIn d-flex justify-content-center" *ngIf="flagChart">
            <app-chart-propinas [dataGrid]="dataGrid"></app-chart-propinas>
          </div>
        </ng-template>
        <ng-container *ngIf="!flagChart">
          <kendo-grid-column field="tband" title="Bandera" [filterable]="true" width="100" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="tpunto" title="Punto" [filterable]="false" width="100" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="tclase" title="Clase" [filterable]="true" width="90"></kendo-grid-column>
          <kendo-grid-column field="tturno" title="#T" [filterable]="true" width="90" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="ttt" title="Tipo" [filterable]="true" width="120"></kendo-grid-column>
          <kendo-grid-column field="tmesas" title="Mesas" [filterable]="true" width="100"></kendo-grid-column>
          <kendo-grid-column field="tpers" title="Pers." [filterable]="true" width="90" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="tinga" title="Alimentos" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tinga | currency:'CAD':'symbol-narrow' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tingb" title="Bebidas" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tingb | currency:'CAD':'symbol-narrow' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tingv" title="Varios" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tingv | currency:'CAD':'symbol-narrow' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tprop" title="Servicio" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tprop | currency:'CAD':'symbol-narrow' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tsubt" title="Sub-total" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tsubt | currency:'CAD':'symbol-narrow' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="tdesc" title="Descuento" [filterable]="false" width="110" class="text-right">
            <ng-template kendoGridCellTemplate
                         let-dataItem>{{ dataItem.tdesc | currency:'CAD':'symbol-narrow' }}</ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="ttotal" title="Total" [filterable]="true" width="110" class="text-right">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.ttotal | currency:'CAD':'symbol-narrow' }}
            </ng-template>
          </kendo-grid-column>
        </ng-container>
      </kendo-grid>

    </div>
<app-loading *ngIf="loading"></app-loading>

    <table border="2" id="tbl1" style="display: none;">
      <thead>
      <tr>
        <th>Punto</th>
        <th>Clase</th>
        <th>Turno</th>
        <th>#T</th>
        <th>Mesas</th>
        <th>Personas</th>
        <th>Alimentos</th>
        <th>Bebidas</th>
        <th>Varios</th>
        <th>Serv. Paq.</th>
        <th>Servicio</th>
        <th>Sub-total</th>
        <th>Descuentos</th>
        <th>Total</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of dataGrid.data">
        <td style="text-align: right;">{{ item.tpunto }}</td>
        <td>{{ item.tclase }}</td>
        <td style="text-align: right;">{{ item.tturno }}</td>
        <td>{{ item.ttt }}</td>
        <td>{{ item.tmesas }}</td>
        <td style="text-align: right;">{{ item.tpers }}</td>
        <td style="text-align: right;">{{ item.tinga  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tingb  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tingv  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tserv  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tprop  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tsubt  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tdesc  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.ttotal | number:'1.2-2' }}</td>
      </tr>
      </tbody>
    </table>

  </div>
</div>
